var Button = document.getElementById('Potvrdi');

function CheckValue(Value){
    if(Value.charAt(0) != '#'){ return false;}
    if(Value.substr(1,Value.length).length == 6){       
        var HexAlph = "AaBbCcDdEeFf";
        for(i = 1; i < Value.length; i++){
            if(isNaN(Value.charAt(i))){
                if(HexAlph.indexOf(Value.charAt(i)) < 0){
					return false;
				}
            }
        }
        return true;
    }
    else{
        return false;
    }
}

function DataValid(){
    var BColor = document.getElementById('BojaPozadine').value;
    var TColor = document.getElementById('BojaSlova').value;
    if(document.getElementById('Element').value == "" ){
        window.alert("Morate odabrati element");
        return false;
    }
    if(document.getElementById('text').value.length > 25){
        window.alert("Duzina teksta je veca od 25 karaktera");
        return false;
    }
    if(CheckValue(BColor)!= true){
        window.alert("Format vrednosti boje pozadine nije dobar");
        return false;
    }
    if(CheckValue(TColor)!= true){
        window.alert("Format vrednosti boje slova nije dobar");
        return false;
    }
    return true;
}
function RemoveElement(){
    document.querySelector('.NoviElementi').removeChild(this);  
}

function CreateElementProperties(Element){
    
    Element.textContent = document.getElementById('text').value;
    Element.style.backgroundColor = document.getElementById('BojaPozadine').value;
    Element.style.color = document.getElementById('BojaSlova').value;
    Element.addEventListener("click",RemoveElement);
    Element.hidden = !document.getElementById('Vidljivost').checked;
    document.querySelector('.NoviElementi').appendChild(Element);   
	document.getElementById('Vidljivost').checked = false;
}
Button.onclick = function(){
    if(DataValid()){
        switch(document.getElementById('Element').value){
			case "h1":
				var h1 = document.createElement('h1');          
                CreateElementProperties(h1);
            break;
            case "h2":  
                var h2 = document.createElement('h2');                  
                CreateElementProperties(h2);
            break;
            case "h3":  
                var h3 = document.createElement('h3');                                  
                CreateElementProperties(h3);
            break;
            case "p":
                var p = document.createElement('p');                                
                CreateElementProperties(p);
            break;
        }
    }
}
